> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar pagos de la cuenta

> Lista los pagos de la cuenta, incluidos los anulados (voidedAt). Son los mismos payments de GET /tabs/{storeId}/tabs/{tabId}.



## OpenAPI

````yaml get /tabs/{storeId}/tabs/{tabId}/payments
openapi: 3.1.0
info:
  title: Justo API
  version: 3.0.0
servers:
  - url: https://api.service.getjusto.com/v3
    description: Production server
security: []
paths:
  /tabs/{storeId}/tabs/{tabId}/payments:
    get:
      summary: List tab payments
      description: >-
        Lista los pagos de la cuenta, incluidos los anulados (voidedAt). Son los
        mismos payments de GET /tabs/{storeId}/tabs/{tabId}.
      parameters:
        - in: path
          name: storeId
          required: true
          schema:
            type: string
          description: ID Justo del local.
        - in: path
          name: tabId
          required: true
          schema:
            type: string
          description: ID de la cuenta (_id en GET /tabs/{storeId}/tabs).
      responses:
        '200':
          description: The OpenAPI spec
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/tabsTabPayment'
        '400':
          description: Errors
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  error:
                    type: object
                    properties:
                      error:
                        type: string
                        example: error
                      message:
                        type: string
                        example: The request has an error
components:
  schemas:
    tabsTabPayment:
      type: object
      properties:
        _id:
          type: string
          example: tab-4c48bf33-1411-4c3f-adac-db39b4631cb8
          description: El ID del pago.
        code:
          type: string
          example: CJXEQZK
          description: Un código único para identificar el pago. Es único en Crisp.
        shiftId:
          type: string
          example: Li4eEa3W2hiuGGCFa
          description: El ID del turno al que pertenece el pago.
        paymentMethodId:
          type: string
          example: a3W2hiuGGLi4eECFa
          description: El ID del método de pago.
        paymentMethodName:
          type: string
          example: Efectivo
          description: El nombre del método de pago.
        amount:
          type: number
          example: 100
          description: El monto del pago.
        tipAmount:
          type: number
          example: 10
          description: El monto de la propina.
        createdAt:
          type: string
          example: '2020-01-01T00:00:00.000Z'
          format: date-time
          description: Fecha de creación del pago.
        voidedAt:
          type: string
          example: '2020-01-01T00:00:00.000Z'
          format: date-time
          description: Fecha de anulación del pago.
        shiftEndedAt:
          type: string
          example: '2020-01-01T00:00:00.000Z'
          format: date-time
          description: Fecha de cierre del turno.
        createdById:
          type: string
          example: a3W2hiuGGLi4eECFa
          description: El ID del usuario que creó el pago.
        shouldMakeInvoice:
          type: boolean
          example: true
          description: Indica si se debe generar una factura para el pago.
        payerName:
          type: string
          example: John Doe
          description: Nombre del pagador. Solo para JustoPay
        payerUserId:
          type: string
          example: a3W2hiuGGLi4eECFa
          description: El ID del usuario que pagó la cuenta. Solo para JustoPay

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.